#version 150

in vec4 vertexColor;
uniform vec4 ColorModulator;
out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }

    /* loading screen */
    if (color.r == 239.0/255.0 && color.g == 50.0/255.0 && color.b == 61.0/255.0) {
        color = vec4(0, 0.3412, 0.2667, color.a); /* < < Your custom colour goes here (#005744)*/
    }
	
	/* checks for invntory slot hover color */
    if (color.r == 255/255.0 && color.g == 255/255.0 && color.b == 255/255.0 && color.a == 128/255.0) {
        color = vec4(0, 0.6588, 0.3569, color.a); /* < < Your colour goes here (#4e315e)*/
    }

    fragColor = color * ColorModulator;
}

/* Updated by rotgruengelb for 1.20.x and above link: https://youtube.com/rotgruengelb */